Name:           kBuild
Version:        0.1.3.r1651
Release:        alt0.M40.1
License:        %gpl2plus
Group:          Development/Other
Summary:        Framework for writing simple makefiles for complex tasks
Packager:       Evgeny Sinelnikov <sin@altlinux.ru>
Url:            http://svn.netlabs.org/kbuild

Source0:        %name-%version.tar.bz2

Patch0:         kbuild-man.diff
Patch1:         warnings.diff

BuildRequires(pre): rpm-build-licenses
BuildRequires:  cvs flex libacl-devel

%description
The goals of the kBuild framework: - Similar behavior across all
   supported platforms
- Flexibility, don't create unnecessary restrictions preventing
   ad-hoc solutions
- Makefiles can be simple to write and maintain
- One configuration file for a subtree automatically included
- Target configuration templates as the primary mechanism for
   makefile simplification
- Tools and SDKs for helping out the templates with flexibility
- Non-recursive makefile method by using sub-makefiles

Authors:
--------
    Knut St. Osmundsen <bird-kbuild-spam@anduin.net>

%prep
%setup -q
%patch0
%patch1

%build
export CFLAGS="$RPM_OPT_FLAGS"
kBuild/env.sh --full make -f bootstrap.gmk SRCDIR=`pwd`
kBuild/env.sh kmk rebuild PATH_INS=`pwd`
pod2man -c 'kBuild for ALT Linux' -r %name-%version kmk.pod > kmk.1

%install
kBuild/env.sh kmk NIX_INSTALL_DIR=%_prefix BUILD_TYPE=release PATH_INS=%buildroot LDFLAGS=-Wl,--as-needed
install -m 644 -D kmk.1 %buildroot/%_man1dir/kmk.1
chmod a-x %buildroot%_datadir/%name/*/*kmk

%files
%_bindir/*
%_man1dir/*
%_datadir/%name

%changelog
* Fri Oct 03 2008 Motsyo Gennadi <drool@altlinux.ru> 0.1.3.r1651-alt0.M40.1
- backport for M40

* Fri Aug 29 2008 Evgeny Sinelnikov <sin@altlinux.ru> 0.1.3.r1651-alt1
- Initial ALTLinux Sisyphus release from builds for Suse
- Rename package to kBuild
